> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Rate

> Update the price of a slot rate.

_Requires the `rates:write` scope._



## OpenAPI

````yaml /endpoints/openapi.json patch /v1/organizations/{organization}/rates/{id}
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/rates/{id}:
    patch:
      tags:
        - Rates
      summary: Update Rate
      description: |-
        Update the price of a slot rate.

        _Requires the `rates:write` scope._
      operationId: partner.rates.update
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: '`UpdateRate`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRate'
      responses:
        '200':
          description: '`Rate`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Rate'
                required:
                  - data
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateRate:
      type: object
      properties:
        partner_price:
          type:
            - integer
            - 'null'
          description: Partner price for this rate, in cents
          examples:
            - 1000
          minimum: 0
      required:
        - partner_price
      title: UpdateRate
    Rate:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - rates
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the rate.
              examples:
                - '310476121357873154'
            offering_type:
              type: string
              description: Type of offering.
              enum:
                - ticket
                - bundle
            offering_id:
              type: string
              description: ID of the offering.
              examples:
                - '310476121357873155'
            offering_name:
              type: string
              description: Name of the offering.
              examples:
                - Green Fee
            price:
              type: integer
              description: Price for this rate, in cents.
              examples:
                - 4500
            partner_price:
              type:
                - integer
                - 'null'
              description: >-
                Partner price for this rate, in cents. This will take precedence
                over `price` if set.
              examples:
                - 4000
          required:
            - id
            - offering_type
            - offering_id
            - offering_name
            - price
            - partner_price
      required:
        - id
        - type
      title: Rate
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````